package com.ux.video.file.filerecovery.documents

import android.view.LayoutInflater
import androidx.recyclerview.widget.LinearLayoutManager
import com.ux.video.file.filerecovery.base.BaseActivity
import com.ux.video.file.filerecovery.databinding.ActivityDocumentsScanResultBinding
import com.ux.video.file.filerecovery.utils.ScanRepository

class DocumentsScanResultActivity : BaseActivity<ActivityDocumentsScanResultBinding>() {


    private var resultAdapter: DocumentsScanResultAdapter? = null
    override fun inflateBinding(inflater: LayoutInflater): ActivityDocumentsScanResultBinding =
        ActivityDocumentsScanResultBinding.inflate(layoutInflater)

    override fun initView() {
        super.initView()
        resultAdapter = DocumentsScanResultAdapter(this@DocumentsScanResultActivity)
        binding.recyclerView.run {
            adapter = resultAdapter
            layoutManager = LinearLayoutManager(this@DocumentsScanResultActivity)
        }
    }

    override fun initData() {
        super.initData()
//        ScanRepository.instance.photoResults.observe(this@DocumentsScanResultActivity) {
//            resultAdapter?.setData(it)
//        }

    }

}